=== debian/tests/control ===
Tests: testsuite
Depends: build-essential, dbus (>= 1.8), openbox, xauth, xvfb, @, @builddeps@
Restrictions: build-needed

Tests: acc
Depends: dh-acc, exuberant-ctags, @
Restrictions: allow-stderr
